QCAT - Bug #1716

API: url points always to the africaans (af)
29 Aug 2017 15:22 - Kurt Gerber

Status: Closed Start date: 29 Aug 2017
Priority: High Due date:

Assignee: Kurt Gerber % Done: 90%
Category: Estimated time: 0.00 hour
Target version: QCAT Backlog Spent time: 4.00 hours
Resolution:

Description

When doing a request on the api with
https://gcat.wocat.net/en/api/v2/questionnaires
Problem:

every resulting questionnaire in the list points to the africaans language (af):

"count": 4,
llnethl . " Il,
llpreviousll: llll,
"results": [
{
"name" :
"Recuperacidén de practicas tradicionales de produccidn, como estrategia productiva con resiliencia
en Humahuaca",
"updated": "2017-03-01T09:52:39.264579z2",

"code": "technologies_1671",
"url": "/af/wocat/technologies/view/technologies_1671/",
"details": "/en/api/v2/questionnaires/technologies_1671/"
}I
{
"name" :

"Ferias comunitarias campesinas como alternativa de comercializacidén para la mejora en la rentabil
idad y mantenimiento de la actividad productiva tradicional",
"updated": "2017-03-01T08:32:50.231852z2",

"code": "technologies_1743",
"url": "/af/wocat/technologies/view/technologies_1743/",
"details": "/en/api/v2/questionnaires/technologies_1743/"

Yo
Solution:

It should point the the language used in the api request.

History

#1 - 04 Sep 2017 14:09 - Sebastian Manger

Two-fold solution:

e /af/ stems from the elasticsearch index - store language-agnostic urls when indexing questionnaires
® add language depending on request when returning api-response

#2 - 18 Sep 2017 15:15 - Sebastian Manger
- Assignee set to Kurt Gerber

- % Done changed from 0 to 90

Resolved on develop; request a quick check before going live.
#3 - 18 Sep 2017 15:18 - Sebastian Manger
- Status changed from Accepted to Feedback

#4 - 28 Sep 2017 12:16 - Kurt Gerber

- Status changed from Feedback to Resolved

Happy whith it.
Please deploy on gcat

#5 - 28 Sep 2017 19:19 - Kurt Gerber

- Status changed from Resolved to Closed
